require "util"
require "story"
require "defines"

script.on_event(defines.events, function(event)
	if event.name == defines.events.on_player_created then
		game.player.force.manual_crafting_speed_modifier = -1
		
		game.player.clear_items_inside()
		
		game.player.gui.top.add{name= "start", type = "label", caption = "Start"}
		local button = game.player.gui.top.add{name = "solar", type = "button", caption = "Solar [Hard]"}
		local button = game.player.gui.top.add{name = "steam", type = "button", caption = "Steam [Easy]"}
	elseif event.name == defines.events.on_gui_click then
		local click = event.element

		if click.name == "solar" and click.caption == "Solar [Hard]" then
			for playerIndex, player in pairs(game.players) do
				if player.gui.top.solar then
					player.gui.top.solar.destroy()
					player.gui.top.steam.destroy()
					player.gui.top.start.destroy()
					
					player.print("Player: "..game.player.name.." picked solar!")
					
					game.player.insert({name = "assembling-machine-3", count = 1})
					game.player.insert({name = "small-electric-pole", count = 1})
					game.player.insert({name = "iron-plate", count = 4})
					
					game.player.insert({name = "solar-panel", count = 1})
				end
			end
		elseif click.name == "steam" and click.caption == "Steam [Easy]" then
			for playerIndex, player in pairs(game.players) do
				if player.gui.top.steam then
					player.gui.top.steam.destroy()
					player.gui.top.solar.destroy()
					player.gui.top.start.destroy()
					
					player.print("Player: "..game.player.name.." picked steam!")
					
					game.player.insert({name = "assembling-machine-3", count = 1})
					game.player.insert({name = "small-electric-pole", count = 1})
					game.player.insert({name = "iron-plate", count = 4})
					
					game.player.insert({name = "offshore-pump", count = 1})
					game.player.insert({name = "boiler", count = 1})
					game.player.insert({name = "steam-engine", count = 1})
				end
			end
		end
	end
end)